/* 
 * %Z%%W% %I%
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 * IBM Java(tm)2 SDK, Standard Edition, v 1.4 
 *
 * (C) Copyright IBM Corp. 1998 , 2002. All Rights Reserved
 * (C) Copyright Sun Microsystems Inc. 1997 , 2002. All Rights Reserved
 * ===========================================================================
 */


package com.sun.tools.example.debug.tty;

import com.sun.jdi.event.*;

interface EventNotifier {
    void vmStartEvent(VMStartEvent e);
    void vmDeathEvent(VMDeathEvent e);
    void vmDisconnectEvent(VMDisconnectEvent e);

    void threadStartEvent(ThreadStartEvent e);
    void threadDeathEvent(ThreadDeathEvent e);

    void classPrepareEvent(ClassPrepareEvent e);
    void classUnloadEvent(ClassUnloadEvent e);

    void breakpointEvent(BreakpointEvent e);
    void fieldWatchEvent(WatchpointEvent e);
    void stepEvent(StepEvent e);
    void exceptionEvent(ExceptionEvent e);
    void methodEntryEvent(MethodEntryEvent e);
    void methodExitEvent(MethodExitEvent e);

    void vmInterrupted();
    void receivedEvent(Event event);
}

