/*
 * @(#)src/classes/sov/javax/transaction/TransactionRequiredException.java, jdbc, as142, 20040908 1.6.2.1
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM SDK, Java(tm) 2 Technology Edition, v1.4.2
 * (C) Copyright IBM Corp. 1998, 2001. All Rights Reserved
 * ===========================================================================
 */

/*
 * ===========================================================================
 * Copyright 2003 Sun Microsystems, Inc. All rights reserved.
 * ===========================================================================
 */




/*
/*
 * RMI-IIOP v1.0
 *
 */

package javax.transaction;

/**
 * This exception indicates that a request carried a null transaction context,
 * but the target object requires an activate transaction.
 */
public class TransactionRequiredException extends java.rmi.RemoteException 
{
    public TransactionRequiredException()
    {
	super();
    }

    public TransactionRequiredException(String msg)
    {
	super(msg);
    }
}

